<?php

/**

* 	配置账号信息

*/

global $G;

if($G['this']){

  define('CONFIG_APPID',$G['this']->myoption('wx_AppId'));

  define('CONFIG_APPSECRET',$G['this']->myoption('wx_AppSecret'));

  define('CONFIG_MCHID',$G['this']->myoption('wx_MCHID'));

  define('CONFIG_KEY',$G['this']->myoption('wx_KEY'));

  define('CONFIG_SSLCERT_PATH',$G['this']->myoption('apiclient_cert'));

  define('CONFIG_SSLKEY_PATH',$G['this']->myoption('apiclient_key'));

  //exit(implode("\t",array(CONFIG_APPID,CONFIG_APPSECRET,CONFIG_MCHID,CONFIG_KEY)));

}else{

  define('CONFIG_APPID',onez('cache')->option('wx_AppId'));

  define('CONFIG_APPSECRET',onez('cache')->option('wx_AppSecret'));

  define('CONFIG_MCHID',onez('cache')->option('wx_MCHID'));

  define('CONFIG_KEY',onez('cache')->option('wx_KEY'));

  define('CONFIG_SSLCERT_PATH',dirname(__FILE__).'/cacert/apiclient_cert.pem');

  define('CONFIG_SSLKEY_PATH',dirname(__FILE__).'/cacert/apiclient_key.pem');

}

define('CONFIG_NOTIFY_URL',onez('wxpay')->url.'/lib/wxpay_notify.php');





